org.gradle.language.scala

## Interface ScalaLanguageSourceSet

- All Superinterfaces:
    Buildable, BuildableModelElement, LanguageSourceSet, Named

      @Incubating
      public interface ScalaLanguageSourceSet
      extends LanguageSourceSet

  A set of sources passed to the Scala compiler.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Classpath` | `getCompileClasspath()`

    - ### Methods inherited from interface org.gradle.language.base.LanguageSourceSet

      `generatedBy, getDisplayName, getSource, source`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

    - ### Methods inherited from interface org.gradle.api.BuildableModelElement

      `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

- - ### Method Detail

    - #### getCompileClasspath

          Classpath getCompileClasspath()